### Method

# Gtk Windowset_startup_id

#### Declaration [src]

    void
    gtk_window_set_startup_id (
      GtkWindow* window,
      const char* startup_id
    )

#### Description [src]

Sets the startup notification ID.

Startup notification identifiers are used by desktop environment to track application startup, to provide user feedback and other features. This function changes the corresponding property on the underlying `GdkSurface`.

Normally, startup identifier is managed automatically and you should only use this function in special cases like transferring focus from other processes. You should use this function before calling `gtk_window_present()` or any equivalent function generating a window map event.

This function is only useful on X11, not with other GTK targets.

Sets property | `Gtk.Window:startup-id`

#### Parameters

`startup_id`

  Type: `const char*`

  A string with startup-notification identifier.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.